[needs-packaging] rpi-eeprom

Bug #1884748 reported by Dave Jones
30
This bug affects 3 people
Affects Status Importance Assigned to Milestone
rpi-eeprom (Ubuntu)
High
Unassigned
Focal
Critical
Unassigned

Bug Description

Provides EEPROM firmware updates on the Pi 4 (bug fixes, USB boot, net boot, power usage enhancements, etc).

URL: https://github.com/raspberrypi/rpi-eeprom
License: BSD-3 (utilities), Custom (firmwares)
Notes:

Test packages built in the following PPA: https://launchpad.net/~waveform/+archive/ubuntu/eeprom

[Impact]

This package is part of an HWE update for the Raspberry Pi, and will be pre-seeded on all the new Pi images.

[Test Case]

Install package on a Raspberry Pi and confirm that the device still works and updates have been applied as needed.

[Regression Potential]

New package, none.

tags: added: needs-packaging
Dave Jones (waveform)
description: updated
Revision history for this message
Brian Murray (brian-murray) wrote :

*** This is an automated message ***

This bug is tagged needs-packaging which identifies it as a request for a new package in Ubuntu. As a part of the managing needs-packaging bug reports specification, https://wiki.ubuntu.com/QATeam/Specs/NeedsPackagingBugs, all needs-packaging bug reports have Wishlist importance. Subsequently, I'm setting this bug's status to Wishlist.

Changed in ubuntu:
importance: Undecided → Wishlist
tags: added: id-5ebbc1b7a4d09f806fea0125
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Please test proposed package

Hello Dave, or anyone else affected,

Accepted rpi-eeprom into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/rpi-eeprom/7.8-0ubuntu0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in rpi-eeprom (Ubuntu):
status: New → Fix Committed
description: updated
Changed in rpi-eeprom (Ubuntu Focal):
status: New → Fix Committed
tags: added: verification-needed verification-needed-focal
Changed in rpi-eeprom (Ubuntu Focal):
importance: Undecided → Critical
Changed in rpi-eeprom (Ubuntu):
importance: Undecided → High
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed
Revision history for this message
Robie Basak (racb) wrote :

+ * debian/control: libraspberrypi-bin is required for rpi-eeprom to work
+ properly - switch from Suggests to Depends.

I don't see a libraspberrypi-bin package anywhere. What am I missing?

rpi-eeprom is arch: all. If libraspberrypi-bin is not, is that a problem adding it is a Depends?

Why is libraspberrypi-bin still a Suggests in Groovy? Should this be fixed first?

Revision history for this message
Mike Gore (magore-1) wrote :

When installing ri-eeprom the vcgencmd is required for rpi-eeprom service to work so it fails to install
I am runnning Ubuntu 20.04lts - latest updates
add-apt-repository ppa:waveform/eeprom
apt-get update
aptitude install --with-recommends rpi-eeprom

I attached the install log of the failure with also includes the systemctl status rpi-eeprom report of the error

Revision history for this message
Dave Jones (waveform) wrote :

@racb This is awaiting LP: #1883111 (raspberrypi-userland) which contains libraspberrypi-bin. And libraspberrypi-bin should be a Depends in all releases (it was a mistake of mine placing it as Suggests); flashrom can stay as Suggests though (only required for a non-default flashing method which is no longer recommended).

Revision history for this message
Mike Gore (magore-1) wrote :

Adding to my previous report I should have mentioned that libraspberrypi-bin does not exist and so can not be installed

root@rpi4-ubuntu:/etc/apt/sources.list.d# apt-get install libraspberrypi-bin
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package libraspberrypi-bin is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'libraspberrypi-bin' has no installation candidate

Revision history for this message
Robie Basak (racb) wrote :

Thanks. It sounds like this SRU is blocked from being accepted then, until raspberrypi-userland is uploaded to Groovy and to Focal and additionally until rpi-eeprom in Groovy has the matching Depends? Setting to Incomplete accordingly.

Changed in rpi-eeprom (Ubuntu Focal):
status: Fix Committed → Incomplete
Revision history for this message
Dave Jones (waveform) wrote :

Turns out there was an additional complication: Architecture: all was set in rpi-eeprom, but the libraspberrypi-bin dependency is armhf/arm64 only (preventing the migration of the former as it couldn't build on all archs). In the meantime there's also been another upstream release, bumping the package version to 8.0. I've uploaded a bumped version for groovy with the Arch change to my PPA at https://launchpad.net/ubuntu/+source/rpi-eeprom - will upload a focal version there too in a mo (if I can figure out a version number that lets me...)

Revision history for this message
Brian Murray (brian-murray) wrote : Proposed package upload rejected

An upload of rpi-eeprom to focal-proposed has been rejected from the upload queue for the following reason: "Rejected in favor of getting in new upstream release.".

Revision history for this message
andrum99 (andrum99) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rpi-eeprom - 9.0-1ubuntu1

---------------
rpi-eeprom (9.0-1ubuntu1) groovy; urgency=medium

  * Ubuntu port (LP: #1884748), including changes for MIR (LP: #1895137)
  * Added d/watch
  * Added d/p/use_python3_no_env.patch to remove env from rpi-eeprom-config
  * Removed redundant postinst and prerm scripts
  * Adjusted d/control to remove redundant rpi-eeprom-images definitions,
    correct Architecture to armhf and arm64 only, and the bootloader
    definition to the Ubuntu package name (linux-firmware-raspi2)
  * Fixed paths for Ubuntu in d/defaults/rpi-eeprom-update
  * Updated d/s/lintian-overrides

rpi-eeprom (9.0-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2020-09-03: Promote latest stable to default/critical
  * Update releases.md
  * Update README.md
  * Archive 2020-08-31 and 2020-09-02 beta releases.

rpi-eeprom (8.0-1) buster; urgency=medium

  [ Tim Gover ]
  * Promote pieeprom-2020-09-03 to STABLE
  * Update releases.md

rpi-eeprom (7.14-1) buster; urgency=medium

  [ Kyle J. McKay ]
  * rpi-eeprom-update: avoid any possible od accidents

  [ Andrew Scheller ]
  * Add BETA label to release notes

  [ Tim Gover ]
  * pieeprom-2020-09-03.bin - Fix filename

rpi-eeprom (7.13-1) buster; urgency=medium

  [ Tim Gover ]
  * Use od instead of hexdump to simplify package dependencies
  * pieeprom-2020-09-02: Simplify green activity LED behavior

  [ MichaIng ]
  * Remove rpi-eeprom-images from dependencies

rpi-eeprom (7.12-1) buster; urgency=medium

  [ Tim Brooks ]
  * Fix #211 - hexdump error on older Pi models

rpi-eeprom (7.11-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2020-08-31 - Disable self update mode from SD cards
  * Update link to latest stable release
  * Update releases.md
  * Update README.md

  [ andrum99 ]
  * Update README.md

  [ Hristo Venev ]
  * rpi-eeprom-update: Upstream kernel fix

  [ Serge Schneider ]
  * Use Python 3

rpi-eeprom (7.10-1) buster; urgency=medium

  [ Andrew Scheller ]
  * Typos

  [ Tim Gover ]
  * Promote beta 2020-07-31 to stable

rpi-eeprom (7.9-1) buster; urgency=medium

  [ Tim Gover ]
  * Update releases.md
  * rpi-eeprom-update: Set file permissions on the EEPROM update files
  * Rename .config.yml to config.yml
  * pieeprom-2020-07-31.bin - Standardize USB port power off across Pi4 models

rpi-eeprom (7.8-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2020-07-16.bin - Promote to STABLE
  * recovery.bin - Update beta/stable after rebase

 -- Dave Jones <email address hidden> Thu, 24 Sep 2020 13:46:31 +0100

Changed in rpi-eeprom (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Dimitri John Ledkov (xnox) wrote :

available in groovy now.

Changed in rpi-eeprom (Ubuntu):
status: Fix Released → Triaged
status: Triaged → Fix Released
no longer affects: ubuntu
no longer affects: Ubuntu Focal
Revision history for this message
andrum99 (andrum99) wrote :

> no longer affects: Ubuntu Focal

The package is not available yet on Focal - an apt search turns up nothing.

Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Yes, the package is currently only in focal-proposed but it will be dropped from it shortly - the backport to focal still requires some work. Let me mark it appropriately for the situation.

tags: added: verification-failed verification-failed-focal
removed: verification-needed verification-needed-focal
Revision history for this message
Marcos Alano (mhalano) wrote :

Any news about this? I installed Ubuntu Server 20.04.2 LTS on my Raspbery Pi 3B and I can install the package from regular repository. My Raspberry Pi 4B will arrive tomorrow, so I will take some time to test properly.

Revision history for this message
Dave Jones (waveform) wrote :

Sorry, I'd marked this in my "done" queue but hadn't updated the bug status. The rpi-eeprom package is available in focal onwards since Jan 2021.

Changed in rpi-eeprom (Ubuntu Focal):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers